Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231228 - Needs SELinux 'rights' to /var/run
Summary: Needs SELinux 'rights' to /var/run
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-03-06 21:19 UTC by Tom London
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 17:13:43 UTC


Attachments (Terms of Use)

Description Tom London 2007-03-06 21:19:22 UTC
Description of problem:
On bootup, ConsoleKit produces the following AVC (running targeted/enforcing):

type=AVC msg=audit(1173029651.416:13): avc:  denied  { write } for  pid=2891
comm="console-kit-dae" name="run" dev=dm-0 ino=65576
scontext=system_u:system_r:consolekit_t:s0
tcontext=system_u:object_r:var_run_t:s0 tclass=dir
type=SYSCALL msg=audit(1173029651.416:13): arch=40000003 syscall=5 success=no
exit=-13 a0=805280c a1=2c1 a2=1a4 a3=bf9aa720 items=0 ppid=2890 pid=2891
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="console-kit-dae" exe="/usr/sbin/console-kit-daemon"
subj=system_u:system_r:consolekit_t:s0 key=(null)

Version-Release number of selected component (if applicable):
ConsoleKit-0.1.3-0.git20070301.1.fc7

How reproducible:
Everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Zeuthen 2007-03-24 22:23:05 UTC
(please file these against selinux-policy in the future; thanks!)

Comment 2 Daniel Walsh 2007-03-26 17:13:43 UTC
Fixed in current policy selinux-policy-2.5.10-2.fc7


Note You need to log in before you can comment on or make changes to this bug.